package com.qmth.jkserver.dto.result;

import com.qmth.jkserver.enums.AuthEnum;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description: appinfo result
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2023/2/17
 */
public class AppInfoResult implements Serializable {

    @ApiModelProperty(value = "过期时间")
    Long expireTime;

    @ApiModelProperty(value = "accessKey")
    String accessKey;

    @ApiModelProperty(value = "accessSecret")
    String accessSecret;

    @ApiModelProperty(value = "激活模式")
    AuthEnum authMode;

    public AppInfoResult() {

    }

    public AppInfoResult(Long expireTime, String accessKey, String accessSecret, AuthEnum authMode) {
        this.expireTime = expireTime;
        this.accessKey = accessKey;
        this.accessSecret = accessSecret;
        this.authMode = authMode;
    }

    public Long getExpireTime() {
        return expireTime;
    }

    public void setExpireTime(Long expireTime) {
        this.expireTime = expireTime;
    }

    public String getAccessKey() {
        return accessKey;
    }

    public void setAccessKey(String accessKey) {
        this.accessKey = accessKey;
    }

    public String getAccessSecret() {
        return accessSecret;
    }

    public void setAccessSecret(String accessSecret) {
        this.accessSecret = accessSecret;
    }

    public AuthEnum getAuthMode() {
        return authMode;
    }

    public void setAuthMode(AuthEnum authMode) {
        this.authMode = authMode;
    }
}
